<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']='Онлайн игра "Охотник"'; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
err();
aut();

if(isset($user)){
#reg user
if(!isset($_GET['as']))  {
  }
 else
{  
if(mysql_result(mysql_query('SELECT COUNT(*) FROM `shooter` WHERE `id_user` = '.$user['id'].''),0) ==0)
	{
	  echo "<div class='main_menu'>";
    echo "Билет успешно взят<br/>+бонус 1000$ и оружие Винтовка</div>\n";
		mysql_query ("INSERT INTO `shooter` (time,id_user,namep,money) VALUES (".time().",".$user['id'].",'Винтовка','1000')");
	}else{echo'У вас есть билет охотника!';}
}

echo '<div class="main_menu">';
#admin
if ($user['level']>0){
echo '&raquo; <u><a href="admin.php">Админка</a></u><br/>';
};
#user
$act = isset($_GET['act']) ? $_GET['act'] : '';
switch($act)
{
default:
echo 'Здарова '.$user['nick'].' ! <br/>';
echo '<a href="?page=active">&raquo; Моя статистика</a><br />';
break;
case 'pax':
$flood = mysql_fetch_assoc(mysql_query("SELECT `time` FROM `shooter` WHERE `id_user` = '".$user['id']."' order by `time` desc limit 1"));
    	if($flood['time']<(time()-180))
    	{
$w=mysql_fetch_assoc(mysql_query("SELECT * FROM `shooter` WHERE `id_user`='".$user['id']."'"));
mysql_query("UPDATE `shooter` SET `user_vystrel` = '".($w['user_vystrel']+1)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("UPDATE `shooter` SET `time` = '".time()."' WHERE `id` = '$user[id]' LIMIT 1");
$ss=rand(0,3);
if ($ss==0) {
echo "Зверь ушел!<br/>";
echo'<a href="?act=ohota">Попробовать еще</a><br/>';
}else{
mysql_query("UPDATE `shooter` SET `time` = '".time()."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("UPDATE `shooter` SET `user_golava` = '".($w['user_golava']+1)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("UPDATE `user` SET `balls`=`balls`+'".intval($_POST['oper'])."' WHERE `id`='".intval($user['id'])."'");
echo 'Подстрелил!+1 голова зверя в мешок';}
}
    	else
    	{
        	echo '<div class="msg">Часто стреляешь!Можно стрелять раз в 3 минуты,дуло нагревается!Сходи в <a href="/shooter/club.php">клуб охотников</a> пообщайся!</div>';
    	}
break;
case 'ohota':
echo '<div class="title">Охота</div>';
echo'Здарова, '.$user['nick'].'!<br/>';
$w=mysql_query("SELECT * FROM `shooter` WHERE `id_user`='".$user['id']."'");
if(!mysql_num_rows($w)){
echo 'У тебя нет оружия!<br/>';
}else{
$w=mysql_fetch_assoc($w);
echo'За то что вы стреляете по животным вы получаете баллы,на которые можете играть в других играх:<br/>';
echo'Оружие: '.$w['namep'].'<br/>';
echo'Стрелять по:<br/>';
echo '<form action="?act=pax" method="post">';
echo '<select name="oper">';
echo '<option value="1">Медьведь  - 1 балла</option>';
echo '<option value="2">Свинья  - 2 балла</option>';
echo '<option value="3">Лось  - 3 балла</option>';
echo '<option value="4">Волк  - 4 балла</option>';
echo '<option value="5">Змея  - 5 балла</option>';
echo '<option value="4">Человек :D  - 4 балла</option>';
echo '<option value="3">Лиса  - 3 балла</option>';
echo '<option value="2">Олень   - 2 балла</option>';
echo '<option value="1">Собака  - 1 балла</option>';
echo '</select><br/>';
echo '<input type="submit" value="Охотиться"/>';
echo '</form>';
echo '<div class="title"><a href="/shooter/">В игру</a></div>';
};
break;
case 'cyp':
	$cyp = mysql_fetch_array(mysql_query("SELECT * FROM `shooter_shop` WHERE `id` = ".intval($_GET['id']).""));
$w=mysql_fetch_assoc(mysql_query("SELECT * FROM `shooter` WHERE `id_user`='".$user['id']."'"));
	/////////
	if ($cyp==0)
{
    	echo '<div class="main_menu">Оружие не найдено!</div>';
    	echo '<div class="title"><a href="/shooter/">В игру</a></div>';
}else{
$num = intval($cyp['price']);
if($w['money']<$num){echo 'У вас нет столько баллов для покупки '.output_text($cyp['name']).'!';break;
include_once '../sys/inc/tfoot.php';}else{
		mysql_query("UPDATE `shooter` SET  `namep`='".output_text($cyp['name'])."' WHERE `id_user`='".intval($user['id'])."'");
		mysql_query("UPDATE `shooter` SET `money`=`money`-'".intval($cyp['price'])."' WHERE `id_user`='".intval($user['id'])."'");
		echo '<div class="main_menu">Вы успешно купили '.$cyp['name'].'!</div>';
		echo '<div class="title"><a href="/shooter/">В игру</a></div>';}}
break;
case 'top':
echo '<div class="title">Топ юзеров</div>';
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `shooter`"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)
{
echo "Нет юзеров\n";
}
echo 'Ник : Деньги : Оружие<br/>';
$q=mysql_query("SELECT * FROM `shooter` ORDER BY money DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_assoc($q))
{
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $post[id_user] LIMIT 1"));
echo '<a href="/info.php?id='.$ank['id'].'">'.output_text($ank['nick']).'</a> : '.intval($post['money']).'$ : '.output_text($post['namep']).'<br/>';
}

if ($k_page>1)str('m.php?act=top&amp;',$k_page,$page); // Вывод страниц
echo '<div class="title"><a href="/shooter/">В игру</a></div>';
break;
case 'stay':
echo '<div class="title">Моя статистика</div>';
$q=mysql_query("SELECT * FROM `shooter` WHERE `id_user` = '".$user['id']."'");
while ($doss = mysql_fetch_assoc($q))
{
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $doss[id_user] LIMIT 1"));

echo 'Игровой ID: '.intval($doss['id']).'<br/>
Ник: '.output_text($ank['nick']).'<br/>
Монет: '.intval($doss['money']).'$<br/>
Оружие: '.output_text($doss['namep']).'<br/>
Убил зверей: '.intval($doss['user_golava']).'<br/>
Потрачено патронов: '.intval($doss['user_vystrel']).'<br/>
Дата регистрации в игре: '.vremja($doss['time']).'<br/>';
echo '<div class="title"><a href="/shooter/">В игру</a></div>';
}
break;
case 'obmn':
$qju=mysql_fetch_assoc(mysql_query("SELECT * FROM `shooter` WHERE `id_user` = '".$user['id']."'"));
echo 'У тебя в наличии , <b>'.$user['balls'].'</b> баллов!<br/>';
echo 'Монет: <b>'.$qju['money'].'</b><br/>';
echo 'Поменять их на монеты по курсу 1 балл  = 10 монет<br/>';
echo '<form action="?act=obmn_s" method="post">';
echo 'Сколько баллов хотите поменять:<br/>';
echo '<input name="money" type="text"/><br/>';
echo '<input type="submit" value="Дальше"/>';
echo '</form>';
echo '<div class="title"><a href="/shooter/">В игру</a></div>';
break;
case 'obmn_s':
$num=(int)$_POST['money'];
if(!$num || $num<1){echo 'Пустые параметры!';break;};
if($user['balls']<$num){echo 'У вас нет столько баллов!';break;};
$money=$num*10;
mysql_query("UPDATE `user` SET `balls`=`balls`-'$num' WHERE `id`='".$user['id']."'");
mysql_query("UPDATE `shooter` SET `money`=`money`+'$money' WHERE `id_user`='".$user['id']."'");
echo 'Обменяно!';
echo '<div class="title"><a href="/shooter/">В игру</a></div>';
break;
case 'shop':
echo '<div class="title">Магазин оружия</div>';
$q=mysql_query("SELECT * FROM `shooter_shop`");
   if(mysql_num_rows($q) == 0)
	{
    	echo 'Нет оружия!';
	} 
while ($maxx = mysql_fetch_assoc($q))
{
echo 'Название: <b>'.output_text($maxx['name']).'</b><br/>';
echo 'Цена: '.intval($maxx['price']).'$ / <a href="m.php?act=cyp&amp;id='.intval($maxx['id']).'">Купить</a><br/>';
}
echo '<div class="title"><a href="/shooter/">В игру</a></div>';
break;
}
echo '</div>';
}else{
echo '<div class="main_menu">Город доступен только для авторизованых пользователей!</div>';};
include_once '../sys/inc/tfoot.php';
?>
